namespace Wizard;

public class RoomBattleFinishTask : FinishTaskBase
{
	public RoomBattleFinishTask(bool isConvention, bool isGathering)
	{
		if (isConvention)
		{
			base.type = ApiType.Type.EventRoomMatchFinish;
		}
		else if (isGathering)
		{
			base.type = ApiType.Type.GatheringRoomBattleFinish;
		}
		else
		{
			base.type = ApiType.Type.OpenRoomMatchFinish;
		}
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (IsEffectiveErrorCode(num))
		{
			return num;
		}
		if (!IsResponseDataExist(base.ResponseData))
		{
			return num;
		}
		Data.RoomMatchFinish.data = new RoomMatchFinishDetail();
		Data.RoomMatchFinish.data.class_chara_experience = 0;
		Data.RoomMatchFinish.data.class_chara_level = 0;
		new BattleFinishResponsProcessing().Processing(base.ResponseData, Data.RoomMatchFinish.data);
		return num;
	}
}
